buildr-ci mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Buildr-ci-matrix » 1.6,1.9.2,ubuntu #19
Date Sat, 06 Oct 2012 13:50:18 GMT
See <https://builds.apache.org/job/Buildr-ci-matrix/./BUILD_JVM=1.6,BUILD_RVM=1.9.2,label=ubuntu/19/>

------------------------------------------
Started by upstream project "Buildr-ci-matrix" build number 19
Building remotely on ubuntu1 in workspace <https://builds.apache.org/job/Buildr-ci-matrix/./BUILD_JVM=1.6,BUILD_RVM=1.9.2,label=ubuntu/ws/>
Updating http://svn.apache.org/repos/asf/buildr/trunk
U         ci.sh
At revision 1395059
no change for http://svn.apache.org/repos/asf/buildr/trunk since the previous build
[ubuntu] $ /usr/bin/env bash /tmp/hudson7806072113755107249.sh
********************************************************************
*  RVM will install the environment for Buildr development now.
*  By default it will use ruby-1.9.2-p320.
*  To force use an other version of ruby, set BUILDR_RUBY_VERSION.
*  Examples:
*     export BUILDR_RUBY_VERSION=ruby-1.9.2-p320
*     export BUILDR_RUBY_VERSION=jruby-1.6.7
*     export BUILDR_RUBY_VERSION=ruby-1.8.7-p358
********************************************************************
ruby-1.9.2-p320 was not found, running 'rvm install ruby-1.9.2-p320'...
No binary rubies available for: ///ruby-1.9.2-p320.
Continuing with compilation. Please read 'rvm mount' to get more information on binary rubies.
Fetching yaml-0.1.4.tar.gz to /home/jenkins/.rvm/archives
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  3  460k    3 16150    0     0  96195      0  0:00:04 --:--:--  0:00:04  106k
100  460k  100  460k    0     0  1490k      0 --:--:-- --:--:-- --:--:-- 1594k
Extracting yaml-0.1.4.tar.gz to /home/jenkins/.rvm/src
tee: standard output: Broken pipe
tee: write error
Prepare yaml in /home/jenkins/.rvm/src/yaml-0.1.4.
tee: standard output: Broken pipe
tee: write error
Configuring yaml in /home/jenkins/.rvm/src/yaml-0.1.4.
tee: standard output: Broken pipe
tee: write error
Compiling yaml in /home/jenkins/.rvm/src/yaml-0.1.4.
tee: standard output: Broken pipe
tee: write error
Installing yaml to /home/jenkins/.rvm/usr
tee: standard output: Broken pipe
tee: write error
Installing Ruby from source to: /home/jenkins/.rvm/rubies/ruby-1.9.2-p320, this may take a
while depending on your cpu(s)...
ruby-1.9.2-p320 - #downloading ruby-1.9.2-p320, this may take a while depending on your connection...
tee: standard output: Broken pipe
tee: write error
Error running '/home/jenkins/.rvm/scripts/fetch http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p320.tar.bz2',
please read /home/jenkins/.rvm/log/ruby-1.9.2-p320/fetch.log
There has been an error fetching the ruby interpreter. Halting the installation.
RVM is not a function, selecting rubies with 'rvm use ...' will not work.

You need to change your terminal emulator preferences to allow login shell.
Sometimes it is required to use `/bin/bash --login` as the command.
Please visit https://rvm.io/integration/gnome-terminal/ for a example.

Ruby ruby-1.9.2-p320@CI_1.6 is not installed.
Installing bundler...
Ruby ruby-1.9.2-p320@CI_1.6 is not installed.
Ruby ruby-1.9.2-p320@CI_1.6 is not installed.
exec rake ci --trace

rvm 1.16.8 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com>
[https://rvm.io/]

Ruby ruby-1.9.2-p320@CI_1.6 is not installed.
Build step 'Execute shell' marked build as failure
Recording test results

Mime
View raw message